/**
 * 手工制单
 * */


var CallID = helper.request.queryString("CallID");
var KHid;
var UserCode;
var timestamp = Date.parse(new Date());
//通话中执行变化
var timer, n = 0;

//**所有input去掉自动填充
$(function(){     
	if ($.cookie("userRoleCode")=="DQJL"||$.cookie("userRoleCode")=="FGSJL"||$.cookie("userRoleCode")=="YWY") {
		$(".codeDiv").remove();
		$("#save_vsv").hide();
		$("#save_order").show();
	}  
 $('input:not([autocomplete]),textarea:not([autocomplete]),select:not([autocomplete])').attr('autocomplete', 'off'); 
});	
	// 立即处理
	$('#order_isover').find('input[type="radio"]').on('change', function(){
		if($(this).val() === '1'){
			$('#order_transfer_depts').hide();
		}else{
			$('#order_transfer_depts').show();
		}
	});
	

function clearInter() {
	clearInterval(timer);
}
//获取接收人员
function getReceiveUser(obj, deptid) {
	$.ajax({
		url: huayi.config.callcenter_url + 'UserAccount/GetDeptUserList',
		type: 'get',
		data: {
			deptid: deptid,
			token: $.cookie("token")
		},
		dataType: "json",
		async: true,
		success: function(res) {
			obj.empty();
			if(res.state.toLowerCase() === "success") {
				res = res.data;
				if(res && res.length > 0) {
					obj.append('<option value="0">请选择接收人</option>');
					res.forEach(function(v, i) {
						obj.append('<option value="' + v.F_UserId + '" data-code="'+ v.F_UserCode +'">' + v.F_UserName + '('+ v.F_UserCode +')</option>');
					});
					obj.selectpicker('refresh');
				}
			}
		},
	});
}
var callId = helper.request.queryString("cid");
$(function() {
	var cphone = helper.request.queryString("cphone");
	var cCustomerName = decodeURIComponent(helper.request.queryString("cCustomerName"));
	
	
	helper.getDropList.getlistDropByDic($('#order_handle'), 'YWLX');	


$('#save_order').click(function(){//ID为test的元素点击时
      orderSave();
    });
	// 指派按钮
$('#save_vsv').click(function(){//ID为test的元素点击时
	  dealWorkOrder();
	});
// 完结按钮
$('#save_ssss').click(function(){//ID为test的元素点击时
	  buttonend();
	});
// 来电保存客户
$('#save').click(function(){//ID为test的元素点击时
    if(!regexs.userNameReg.test($.trim($('#head_form_custom').val()))) {
    	layer.confirm('请输入有效的客户姓名！', {
    		icon: 2,
    		btn: ['确定']
    	});
    	return;
    }
	  screen();
	});
$('#empty').click(function(){//ID为test的元素点击时
	  cleanOrde();
	});
});
//新建工单 保存
function orderSave() {	
	typePro();
	// if(!regexs.userNameReg.test($.trim($('#order_name').val()))) {
	// 	layer.confirm('请输入有效的客户姓名（2-20位汉字可以包含·•）！', {
	// 		icon: 2,
	// 		btn: ['确定']
	// 	});
	// 	return;
	// }	
	$.post(huayi.config.callcenter_url + 'WorkOrderNew/Add', {		                 
					  // orderid: oid, //否	strubg	工单ID
					        F_Source:$('#godanlx').val(),// 			
					         // F_CompanyName: $('#order_company').val(),// 公司名称  
					         F_Type: $('#order_isover').find('input[type="radio"]:checked').val(), //工单类型
					 //公共字段
					         F_CusName: $('#kehuxing').val(),//客户姓名
					 		 F_CusPhone: $('#kehudian').val(),//客户电话
							 F_CompanyName: $('#gonsi').val(),//公司名称
					         F_IncidentProvince:  $('#sheng').val(),//string 省
					         F_IncidentCity: $('#shi').val(),// 市
					         F_IncidentCountry: $('#quxian').val(),//区/县
					         F_IncidentTownship: $('#xiang').val(),//乡
					         F_IncidentDetailed: $('#xiangxi').val(),//详细地址
					 	    F_Description: $('#reception').val(),//问题描述
					      //咨询模块
					         F_QuestionType:catt,//问题类别
					         F_TS_Category: comdi,//产品名称
					         F_ZX_Quantity: $('#Product_Quantity').val(),//问题数量
					         F_SalesBase:coint,//销售基地
					    //投诉模块
					         F_BatchNumber:shengch,//生产批号
					         F_TS_Formula: $('#formula').val(),//配方
					         F_TS_Quantity:$('#quantity').val(),//问题数量(吨)
					         F_TS_Level: $('#level').val(),//重要界别    
					         F_CustomerID: $('#number').val(),//客户编号
					         F_Salesman: $('#salesman').val(),//业务员
					         F_SalesPhone: $('#telephone').val(),//电话
					         F_ZX_Area: $('#District').val(),//大区
					         F_ZX_Branch: $('#Branice').val(),//分公司
					         F_Brand: $('#manage').val(),//经营品牌
					       
					         F_MaterialID: $('#Code').val(),//客户编号
					         F_CustomerID: $('#number').val(),//客户编号
					         F_Model: $('#model_number').val(),//型号
					         F_Specs: $('#specifications').val(),//规格
					         F_Level1: $('#category1').val(),//一级分类
					         F_Level2: $('#category2').val(),//二级分类
					         F_Level3: $('#category3').val(),//三级分类
					         F_Brand: $('#brand_name').val(),//品牌
					         F_MaterialEffect: $('#efficiency').val(),//复合肥肥效
					         F_Pipeline: $('#product_line').val(),//产品线
					         F_Craft: $('#process').val(),//工艺
					         F_Formula: $('#enter_formula').val(),//配方
					  
					         //抽检模块
					 		// F_CusName: $('#kxing').val(),//客户姓名
					 		// F_CusPhone: $('#kdian').val(),//客户电话
					         // F_QuestionType:catt, //问题类别
					         F_CJ_Time: $('#der_time').val(),//抽检时间
					         F_CJ_Level: $('#der_level').val(),//抽检级别
					         F_CJ_Unit: $('#der_Company').val(),//抽检单位
					         F_CJ_TestUnit: $('#der_Test').val(),//化验单位
					         F_CJ_Tonnage: $('#der_Tonnage').val(),//抽检吨数
					         F_CJ_BagNo: $('#der_Ton').val(),//抽检袋数
					         F_CJ_Outlay: $('#der_Amount').val(),//公关费用金额
					        
					 
					 		overtime: $("#dddd").find('input[type="radio"]:checked').val(), //超时时限
					 		clbm: $("#clbm").val(), //否	指派部门
					 		clid: $("#clid").val(), //否	接受人
					 		sms: $("#overtime").find('input[type="radio"]:checked').val(),//是否发送短信
				   token: $.cookie("token")
			}, function(result) {
				result = $.parseJSON(result);
				if(result.state.toLowerCase() == "success") {
					cleanOrderForm();
					// top.workcount();
					layer.msg("保存成功");
				}
			})
}
//完结按钮
function buttonend(oid) {
	typePro();
	// var ltype = $("input[name='ltype']:checked").val();
	var isDetail = helper.request.queryString("isDetail"); //是否是详情页面的处理

	$.post(huayi.config.callcenter_url + 'WorkOrderNew/CreatOver', {
		   orderid: oid, //否	strubg	工单ID
		    F_Source:$('#godanlx').val(),// 			
		           // F_CompanyName: $('#order_company').val(),// 公司名称  
		           F_Type: $('#order_isover').find('input[type="radio"]:checked').val(), //工单类型
		   //公共字段
		           F_CusName: $('#kehuxing').val(),//客户姓名
		   		   F_CusPhone: $('#kehudian').val(),//客户电话
				   F_CompanyName: $('#gonsi').val(),//公司名称
		           F_IncidentProvince:  $('#sheng').val(),//string 省
		           F_IncidentCity: $('#shi').val(),// 市
		           F_IncidentCountry: $('#quxian').val(),//区/县
		           F_IncidentTownship: $('#xiang').val(),//乡
		           F_IncidentDetailed: $('#xiangxi').val(),//详细地址
		   	    F_Description: $('#reception').val(),//问题描述
		        //咨询模块
		           F_QuestionType:catt,//问题类别
		           F_TS_Category: comdi,//产品名称
		           F_ZX_Quantity: $('#Product_Quantity').val(),//问题数量
		           F_SalesBase:coint,//销售基地
		      //投诉模块
		           F_BatchNumber:shengch,//生产批号
		           F_TS_Formula: $('#formula').val(),//配方
		           F_TS_Quantity:$('#quantity').val(),//问题数量(吨)
		           F_TS_Level: $('#level').val(),//重要界别    
		           F_CustomerID: $('#number').val(),//客户编号
		           F_Salesman: $('#salesman').val(),//业务员
		           F_SalesPhone: $('#telephone').val(),//电话
		           F_ZX_Area: $('#District').val(),//大区
		           F_ZX_Branch: $('#Branice').val(),//分公司
		           F_Brand: $('#manage').val(),//经营品牌
		         
		           F_MaterialID: $('#Code').val(),//客户编号
		           F_CustomerID: $('#number').val(),//客户编号
		           F_Model: $('#model_number').val(),//型号
		           F_Specs: $('#specifications').val(),//规格
		           F_Level1: $('#category1').val(),//一级分类
		           F_Level2: $('#category2').val(),//二级分类
		           F_Level3: $('#category3').val(),//三级分类
		           F_Brand: $('#brand_name').val(),//品牌
		           F_MaterialEffect: $('#efficiency').val(),//复合肥肥效
		           F_Pipeline: $('#product_line').val(),//产品线
		           F_Craft: $('#process').val(),//工艺
		           F_Formula: $('#enter_formula').val(),//配方
		    
		           //抽检模块
		   		// F_CusName: $('#kxing').val(),//客户姓名
		   		// F_CusPhone: $('#kdian').val(),//客户电话
		           // F_QuestionType:catt, //问题类别
		           F_CJ_Time: $('#der_time').val(),//抽检时间
		           F_CJ_Level: $('#der_level').val(),//抽检级别
		           F_CJ_Unit: $('#der_Company').val(),//抽检单位
		           F_CJ_TestUnit: $('#der_Test').val(),//化验单位
		           F_CJ_Tonnage: $('#der_Tonnage').val(),//抽检吨数
		           F_CJ_BagNo: $('#der_Ton').val(),//抽检袋数
		           F_CJ_Outlay: $('#der_Amount').val(),//公关费用金额
		          
		   
		   		overtime: $("#dddd").find('input[type="radio"]:checked').val(), //超时时限
		   		clbm: $("#clbm").val(), //否	指派部门
		   		clid: $("#clid").val(), //否	接受人
		   		sms: $("#overtime").find('input[type="radio"]:checked').val(),//是否发送短信
							
		 token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
				// parent.parent.layer.msg("工单完结成功！");
				cleanOrderForm();
				layer.msg("完结成功");		
			// top.workcount();
		}
	})
}
//投诉和抽检客户 物料编号清空
function  emptyct(){
	$('#number').val('');
	$('#salesman').val('');
	$('#telephone').val('');
	$('#District').val('');
	$('#Branice').val('');
	$('#manage').val('');
	

	$('#Code').val('');
	$('#material_name').val('');
	$('#model_number').val('');
	$('#specifications').val('');
	$('#category1').val('');	
	$('#category2').val('');
	$('#category3').val('');
	$('#brand_name').val('');
	$('#efficiency').val('');
	$('#product_line').val('');
	$('#process').val('');
	$('#enter_formula').val('');	
}

var catt;//问题类别
var cttt;//投诉问题类别
var comdi;//产品名称
var coint; //销售基地
var stion; //问题数量
var shengch; //生产批次号
var jyppai;
var daqu;
var fengo;
var orderIsover;
function typePro(){
	orderIsover=$('input:radio[name="type"]:checked').val();

	if(orderIsover === '1'){
		debugger
		catt = $('#category').val();//问题类别
		comdi = $('#ProductName').val();//产品名称
		stion = $('#Product_Quantity').val();//问题数量
		coint=$('#xiaoshou').val();//销售基地
		daqu='';
		fengo='';
		jyppai='';
		cttt='';
		shengch='';
		emptyct()
		$('#wlbm').hide();
		$('#wlmcc').hide();
		$('#clie').hide();
		$('#mate').hide();
	}else if(orderIsover=== '2'){
		daqu=$('#chdaqu').val();
		fengo=$('#chfen').val();
		jyppai=$('#brand_name').val();
		comdi = $('#product_name').val();//产品名称
		cttt = $("#cate").val();
		// if($("#catego").val()){
		// 	cttt = $("#cat").val()+"|"+$("#catego").val();
		// 	if($("#cate").val()){
		// 		cttt = $("#cat").val()+"|"+$("#catego").val()+"|"+$("#cate").val();
		// 	}
		// }
		catt = $("#cate").val();
		shengch=$('#Batch_number').val();//生产批次号
		stion = $('#quantity').val();//问题数量
		coint=$('#Sales_base').val();//销售基地
	}else if(orderIsover === '3'){
		daqu=$('#District').val();
		fengo=$('#Branice').val();
		jyppai=$('#brand_name').val();
		shengch=$('#batch_num').val();//生产批次号
		catt = $('#chou_wtlb').val();
		// cttt=$('#chou_wtlb').val();
		comdi ='';
		coint='';
		stion='';
	}else if(orderIsover === '4'){
		catt = $('#cateq').val();//问题类别
		comdi = $('#Produ_ctName').val();//产品名称
		stion = $('#Product_Quantity').val();//问题数量
		coint=$('#xiaosh').val();//销售基地
		daqu='';
		fengo='';
		jyppai='';
		cttt='';
		shengch='';
		emptyct()
		$('#wlbm').hide();
		$('#wlmcc').hide();
		$('#clie').hide();
		$('#mate').hide();

		// alert(catt)
	}
}
// 指派按钮
function dealWorkOrder(oid) {
		typePro();		
	// var ltype = $("input[name='ltype']:checked").val();
	   // var mold = $('#checked').find('input[type="radio"]:checked').val();      
	$.post(huayi.config.callcenter_url + 'WorkOrderNew/Createass', {
		            orderid: oid, //否	strubg	工单ID
                    F_Source:$('#godanlx').val(),// 		
                    // F_CompanyName: $('#order_company').val(),// 公司名称  
                    F_Type: $('#order_isover').find('input[type="radio"]:checked').val(), //工单类型
			//公共字段
			        F_CusName: $('#kehuxing').val(),//客户姓名
					F_CusPhone: $('#kehudian').val(),//客户电话
					F_CompanyName: $('#gonsi').val(),//公司名称
                    F_IncidentProvince:  $('#sheng').val(),//string 省
                    F_IncidentCity: $('#shi').val(),// 市
                    F_IncidentCountry: $('#quxian').val(),//区/县
                    F_IncidentTownship: $('#xiang').val(),//乡
                    F_IncidentDetailed: $('#xiangxi').val(),//详细地址
				    F_Description: $('#reception').val(),//问题描述
                 //咨询模块
                    F_QuestionType:catt,//问题类别
                    F_TS_Category: comdi,//产品名称
                    F_ZX_Quantity:stion,//问题数量
                    F_SalesBase:coint,//销售基地
               //投诉模块
                    F_BatchNumber:shengch,//生产批号
                    F_TS_Formula: $('#formula').val(),//配方
                    F_TS_Quantity:$('#quantity').val(),//问题数量(吨)
                    F_TS_Level: $('#level').val(),//重要界别    
                    F_SalesPhone: $('#telephone').val(),//电话
                    F_ZX_Area: daqu,//大区
                    F_ZX_Branch:fengo,//分公司
                    F_Brand: jyppai,//经营品牌
                    F_Salesman: $('#salesman').val(),//业务员
				    F_MaterialID: $('#Code').val(),//客户编号
				    F_CustomerID: $('#number').val(),//客户编号
                    F_Model: $('#model_number').val(),//型号
                    F_Specs: $('#specifications').val(),//规格
                    F_Level1: $('#category1').val(),//一级分类
                    F_Level2: $('#category2').val(),//二级分类
                    F_Level3: $('#category3').val(),//三级分类
                    // F_Brand: $('#brand_name').val(),//品牌
                    F_MaterialEffect: $('#efficiency').val(),//复合肥肥效
                    F_Pipeline: $('#product_line').val(),//产品线
                    F_Craft: $('#process').val(),//工艺
                    F_Formula: $('#enter_formula').val(),//配方
 
                    //抽检模块
					// F_CusName: $('#kxing').val(),//客户姓名
					// F_CusPhone: $('#kdian').val(),//客户电话
                    // F_QuestionType:cttt, //问题类别
                    F_CJ_Time: $('#der_time').val(),//抽检时间
                    F_CJ_Level: $('#der_level').val(),//抽检级别
                    F_CJ_Unit: $('#der_Company').val(),//抽检单位
                    F_CJ_TestUnit: $('#der_Test').val(),//化验单位
                    F_CJ_Tonnage: $('#der_Tonnage').val(),//抽检吨数
                    F_CJ_BagNo: $('#der_Ton').val(),//抽检袋数
                    F_CJ_Outlay: $('#der_Amount').val(),//公关费用金额
                   

					overtime: $("#dddd").find('input[type="radio"]:checked').val(), //超时时限
					clbm: $("#clbm").val(), //否	指派部门
					clid: $("#clid").val(), //否	接受人
					sms: $("#overtime").find('input[type="radio"]:checked').val(),//是否发送短信
			
		           token: $.cookie("token")
	}, function(result) {
				result = $.parseJSON(result);
				if(result.state.toLowerCase() == "success") {
					// top.workcount();
					debugger
					cleanOrderForm();
					layer.msg("指派成功");
				}
			})
}
//三级联动下拉
    $(document).ready(function () {
            var wid = helper.request.queryString("wid");
            LY($("#sheng"));//省
			XSJD($("#xiaoshou"));//销售基地
			XSJD($("#xiaosh"));//建议及其他销售基地
			XSJD($("#Sales_base"));//建议及其他销售基地
        ZXWTLB($("#category")); //咨询问题类别
		// ZXWTLB($("#categg")); //问题类别
		ZXCPMC($("#ProductName"));
		// ZXCPMC($("#ProductName"));
		ZXCPMC($("#product_name"));
		ZXCPMC($("#Produ_ctName"));//建议及其他产品名称
			DQ($("#District"));
		 //投诉模块
		 WTLB1($("#cat"));//问题类型1		 
		 CPZL($("#Product_Category"));//产品名称
		 WTLBCJ($("#chou_wtlb"));//抽检问题类型		
		 ZYJB($("#level"));//重要级别	
         CJJP($("#der_level"));//抽检级别
		 CJDW($("#der_Company"));//抽检单位
 
		  DQQ($("#customer_comaddress")); //大区
		 QDLX($("#customer_taxPointDes"));//添加客户渠道类型
		 QDLX($("#channel"));//来电弹屏渠道类型
		 XYDJ($("#customer_invoiceRange"));
		 JYPP($("#customer_Qualification"));
		 JYPP($("#management"));
		 CAPI($("#customer_FinancialManager"));
		 YFPP($("#customer_feeEx"));
		 YFPP($("#fertilizer"));
       });
			
// 客户信息里的 省/市/区/县
		// 咨询模块   省
    function LY(obj) {
    		obj.empty();
    		obj.append('<option selected="selected" value="">请选择</option>');
    		$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    			"token": $.cookie("token"),
    			F_Layer: 1,
    		}, function (data) {
    			if (data.state.toLowerCase() == "success") {
    				var content = data.data;                 
    				$(content).each(function (i, n) {
    					$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);                       
    				})
    			}
    		})
    	}
    //市
    function LB(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 2,
    		F_RegionName:$('#sheng').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);					
    			})
    		}
    		
    	})
    }
    //		区/县
    function ZT(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 3,
    		F_RegionName:$('#shi').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }
    		//  乡
    function XX(obj) {
    	obj.empty();
    	obj.append('<option selected="selected" value="">请选择</option>');
    	$.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    		"token": $.cookie("token"),
    		F_Layer: 4,
    		F_RegionName:$('#quxian').val()
    	}, function (data) {
    		if (data.state.toLowerCase() == "success") {
    			var content = data.data;
    			$(content).each(function (i, n) {
    				$("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo(obj);
    			})
    		}
    	})
    }   
    $('#sheng').on('change',function(){
    	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
    	    "token": $.cookie("token"),
    	    F_Layer: 2,
    		F_RegionName:$('#sheng').val(),
    		
    	}, function (data) {
    	    if (data.state.toLowerCase() == "success") {
    	        var content = data.data;
    	        $(content).each(function (i, n) {
    	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#shi");
    	        })
    	      LB($("#shi"));
    	    }
    	})
    });
    $('#shi').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 3,
           		F_RegionName:$('#shi').val()			
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#quxian");			
           	        })	
    				ZT($("#quxian"));
           	    }
           	})
    }); 
    $('#quxian').on('change',function(){
           	 $.getJSON(huayi.config.callcenter_url + "RegionCategory/GetAllList", {
           	    "token": $.cookie("token"),
           	    F_Layer: 4,
           		F_RegionName:$('#quxian').val()
           	}, function (data) {
           	    if (data.state.toLowerCase() == "success") {
           	        var content = data.data;
           	        $(content).each(function (i, n) {
           	            $("<option value='" + n.F_RegionName + "'>" + n.F_RegionName + "</option>").appendTo("#xiang");
           	        })
    				XX($('#xiang'));
           	    }
           	})
    }); 
//销售基地
function XSJD(obj) {
				    obj.empty();
				    obj.append('<option selected="selected" value="">请选择</option>');
				    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
				        "token": $.cookie("token"),
				        flag:"XSJD",
				    }, function (data) {
				        if (data.state.toLowerCase() == "success") {
				            var content = data.data;
				            $(content).each(function (i, n) {
				                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
				            })
				        }
				    })
	}
//问题类别
function ZXWTLB(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionNameType", {
		"token": $.cookie("token"),
		type: 3,
		// pid:0,
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;                 
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);                       
			})
		}
	})
}
function ZXCPMC(obj) {
				    obj.empty();
				    obj.append('<option selected="selected" value="">请选择</option>');
				    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
				        "token": $.cookie("token"),
				        flag:"CPZL",
				    }, function (data) {
				        if (data.state.toLowerCase() == "success") {
				            var content = data.data;
				            $(content).each(function (i, n) {
				                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
				            })
				        }
				    })
	}
function DQ(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 1,
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
function FENGONGSI(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 2,
				F_DeptName:$("#District").find("option:selected").text(),
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
$('#District').on('change',function(){
 	 $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
 	    "token": $.cookie("token"),
 	    F_Layer: 2,
 		F_DeptName:$("#District").find("option:selected").text(),
 		
 	}, function (data) {
 	    if (data.state.toLowerCase() == "success") {
 	        var content = data.data;
 	        $(content).each(function (i, n) {
 	            $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo("#Branice");
 	        })
 	    FENGONGSI($("#Branice"));
 	    }
 	})
 });

//清空表单
function cleanOrderForm() {
	 // $("#lygon").val(data.F_SourceName);//工单来源
		// 	$('#gdbian').val(data.F_WorkOrderCode);// 工单编号
	 // 咨询模块
	        $("#category").val('');//问题类别
			$("#ProductName").val('');//产品名称
	        $('#Product_Quantity').val('');//问题数量
			$("#xiaoshou").val('');//销售基地
	// 投诉模块		
			$("#product_name").val('');//产品名称
			$('#quantity').val('');//问题数量
			$('#Batch_number').val('');//生产批次
			$("#Sales_base").val('');//销售基地
			$("#level").val('');//重要级别
			$("#cat").val('');//问题类别1
			$("#catego").val('');//问题类别2
			$("#cate").val('');//问题类别3
	// 抽检模块		
	        $("#chou_wtlb").val('');//问题类别
			$("#der_level").val('');//抽检级别
			$('#batch_num').val('');//生产批次号
			$("#der_Company").val('');//抽检单位
			$('#der_Test').val('');//化验单位
			$('#der_Tonnage').val('');//抽检吨数
			$('#der_Ton').val('');//抽检袋数
			$('#der_Amount').val('');//公关费用金额
			$('#der_time').val('');//抽检时间
	// 建议及其他	
			$("#cateq").val('');//问题类别
			$("#Produ_ctName").val('');//产品名称
			$('#Product_Quan').val('');//问题数量
			$("#xiaosh").val('');//销售基地
	// 公共模块	
			$('#number').val('');//客户编码
			$('#salesman').val('');//业务员
			$('#telephone').val('');//电话
			$("#chdaqu").val('');//大区
			$("#chfen").val('');//分公司
			$('#manage').val('');//经营品牌
			//物料
			$('#Code').val('');//物料编码
			$('#material_name').val('');//物料名称
			$('#model_number').val('');//型号
			$('#specifications').val('');//规格
			$('#category1').val('');//一级分类
			$('#category2').val('');//二级分类
			$('#category3').val('');//三级分类
			$('#brand_name').val('');//品牌
			$('#efficiency').val('');//复合肥肥效
			$('#product_line').val('');//产品线
			$('#process').val('');//工艺
			$('#enter_formula').val('');//配方
			$('#kehuxing').val('');//客户姓名
			$('#kehudian').val('');//客户电话
			$('#gonsi').val(''),//公司名称
			$("#sheng").val('');// 省
			$("#shi").val('');//市
			$("#quxian").val('');//区县
			$("#xiang").val('');//乡
			$("#xiangxi").val('');//详细
			$('#reception').val('');//问题描述
	
			overtime: $("#dddd").find('input[type="radio"]:checked').val(''); //超时时限
			clbm: $("#clbmname").val(''); //否	指派部门
			clid: $(".select").val(''); //否	接受人
			sms: $("#overtime").find('input[type="radio"]:checked').val('');//是否发送短信
}
//抽检问题类别
function WTLBCJ(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
		"token": $.cookie("token"),
		type: 2,
		pid:0,
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;                 
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);                       
			})
		}
	})
}
//问题类别1
function WTLB1(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
		"token": $.cookie("token"),
		type: 1,
		pid:0,
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;                 
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);                       
			})
		}
	})
}
        //问题类别2
function WTLB2(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
		"token": $.cookie("token"),
		type: 1,
		pid:$('#cat').val(),
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);					
			})
		}
		
	})
}
        //	问题类别3
function WTLB3(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
		"token": $.cookie("token"),
		type: 1,
		pid:$('#catego').val(),
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.id + "'>" + n.text + "</option>").appendTo(obj);
			})
		}
	})
}

$('#cat').on('change',function(){
	// alert($('#cat').val())
	WTLB2($("#catego"));//问题类型2
	
	//  $.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
	//     "token": $.cookie("token"),
	//     type: 1,
	// 	
	// 	pid:$('#cat').val(),	
	// }, function (data) {
	//     if (data.state.toLowerCase() == "success") {
	//         var content = data.data;
	//         $(content).each(function (i, n) {
	//             $("<option value='" + n.id + "'>" + n.text + "</option>").appendTo("#catego");
	//         })
	// 		
	//     }
	// })
});
$('#catego').on('change',function(){
	// alert($("#catego").val())
	WTLB3($("#cate"));//问题类型3
   //     	 $.getJSON(huayi.config.callcenter_url + "WorkOrder/GetQuestionType", {
   //     	    "token": $.cookie("token"),
   //     	    type: 1,
			// 
   //     		pid:$('#catego').val()		
   //     	}, function (data) {
   //     	    if (data.state.toLowerCase() == "success") {
   //     	        var content = data.data;
   //     	        $(content).each(function (i, n) {
   //     	            $("<option value='" + n.id + "'>" + n.text + "</option>").appendTo("#cate");			
   //     	        })	
			// 	
   //     	    }
   //     	})
}); 
//产品种类
function CPZL(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"CPZL",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
//重要界别
function ZYJB(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"ZYJB",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
//抽检模块
function CJJP(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"CJJP",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}
function CJDW(obj) {
	obj.empty();
	obj.append('<option selected="selected" value="">请选择</option>');
	$.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		"token": $.cookie("token"),
		flag:"CJDW",
	}, function (data) {
		if (data.state.toLowerCase() == "success") {
			var content = data.data;
			$(content).each(function (i, n) {
				$("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
			})
		}
	})
}

//。。。。。。。。。。。。。。。。。。。。。。。

function YFPP(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"YFPP",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}


//渠道类型
function QDLX(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"QDLX",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
//信用等级   
function XYDJ(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"XYDJ",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
//经营品牌 
function JYPP(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"JYPP",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
//产品
function CAPI(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag", {
		        "token": $.cookie("token"),
		        flag:"CAPI",
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_Name + "'>" + n.F_Name + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
function DQQ(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 1,
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
function KEFENGONG(obj) {
		    obj.empty();
		    obj.append('<option selected="selected" value="">请选择</option>');
		    $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
		        "token": $.cookie("token"),
		        F_Layer: 2,
				F_DeptName:$("#customer_comaddress").find("option:selected").text(),
		    }, function (data) {
		        if (data.state.toLowerCase() == "success") {
		            var content = data.data;
		            $(content).each(function (i, n) {
		                $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo(obj);
		            })
		        }
		    })
		}
 $('#customer_comaddress').on('change',function(){
 	 $.getJSON(huayi.config.callcenter_url + "Department/GetList", {
 	    "token": $.cookie("token"),
 	    F_Layer: 2,
 		F_DeptName:$("#customer_comaddress").find("option:selected").text(),	
 	}, function (data) {
 	    if (data.state.toLowerCase() == "success") {
 	        var content = data.data;
 	        $(content).each(function (i, n) {
 	            $("<option value='" + n.F_DeptId + "'>" + n.F_DeptName + "</option>").appendTo("#customer_legalName");
 	        })
 	      KEFENGONG($("#customer_legalName"));
 	    }
 	})
 });



//工单类型点选
$('.r_order_type').find('input[type="radio"]').on('change', function() {
			if($(this).val() === "1") { //咨询
				$('#PageArrival').show();  //receive
				$('#Duration').hide();
				$('#Depth').hide();
				$('#Page').hide();
				$('#wlbm').hide();
				$('#wlmcc').hide();
			} else if($(this).val() === "2"){ //投诉
				$('#PageArrival').hide();  //receive
				$('#Duration').show();
				$('#Depth').hide();
				$('#Page').hide();
				$('#wlbm').show();
				$('#wlmcc').show();
			}else if($(this).val() === "3"){ //抽检
				$('#PageArrival').hide();  //receive
				$('#Duration').hide();
				$('#Depth').show();
				$('#Page').hide();
				$('#wlbm').show();
				$('#wlmcc').show();
			}else if($(this).val() === "4"){ //建议其他
				$('#PageArrival').hide();  //receive
				$('#Duration').hide();
				$('#Depth').hide();
				$('#Page').show();
				$('#wlbm').hide();
				$('#wlmcc').hide();
			}
		});
		

$("#customer_taxPointDes").change(function(){
			

	if($("#customer_taxPointDes").find("option:selected").text()=="二级商"){
		$("#bbb").show()
	}else{
		$("#bbb").hide()
	}
			
 })
$("#customer_taxPointDes").change(function(){
	if($("#customer_taxPointDes").find("option:selected").text()=="种田大户"){
		$("#ccc").show()
	}else{
		$("#ccc").hide()
	}
	
	})

$("#customer_feeEx").change(function(){
	if($("#customer_feeEx").find("option:selected").text()=="其他"){
		$("#ddd").show()
	}else{
		$("#ddd").hide()
	}
	
})
$("#customer_Qualification").change(function(){
	if($("#customer_Qualification").find("option:selected").text()=="其他"){
		$("#eee").show()
	}else{
		$("#eee").hide()
	}
	
})



